Value precedence constraints over integer variables
Functionality by programming task » Programming models » Using integer variables and constraints

## Functions

void | Gecode::precede (Home home, const IntVarArgs &x, int s, int t, IntPropLevel=IPL_DEF)
| Post propagator that s precedes t in x.
void | Gecode::precede (Home home, const IntVarArgs &x, const IntArgs &c, IntPropLevel=IPL_DEF)
| Post propagator that successive values in c precede each other in x.

## Detailed Description

## Function Documentation

## precede() [1/2]

void Gecode::precede | ( | Home | home,
|  | const IntVarArgs & | x,
|  | int | s,
|  | int | t,
|  | IntPropLevel | = IPL_DEF )

Post propagator that s precedes t in x.

This constraint enforces that and for . The propagator is domain consistent.

Definition at line 43 of file precede.cpp.

## precede() [2/2]

void Gecode::precede | ( | Home | home,
|  | const IntVarArgs & | x,
|  | const IntArgs & | c,
|  | IntPropLevel | = IPL_DEF )

Post propagator that successive values in c precede each other in x.

This constraint enforces that for and for and .

Definition at line 54 of file precede.cpp.